← Cloudflare Workers AI / workers-ai / features / batch-api
REST API
Если вы предпочитаете работать напрямую через REST API, а не через Cloudflare Worker, ниже приведены шаги, как это сделать:
1. Отправьте пакетный запрос
Сделайте POST-запрос по следующему шаблону. Вы можете передать external_reference в качестве уникального ID запроса, который будет возвращён в ответе.
Отправка пакетного запроса
curl "https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/run/@cf/baai/bge-m3?queueRequest=true" \
--header "Authorization: Bearer $API_TOKEN" \
--header 'Content-Type: application/json' \
--json '{
"requests": [
{
"query": "This is a story about Cloudflare",
"contexts": [
{
"text": "This is a story about an orange cloud"
},
{
"text": "This is a story about a llama"
},
{
"text": "This is a story about a hugging emoji"
}
],
"external_reference": "reference-1"
}
]
}'{
"result": {
"status": "queued",
"request_id": "768f15b7-4fd6-4498-906e-ad94ffc7f8d2",
"model": "@cf/baai/bge-m3"
},
"success": true,
"errors": [],
"messages": []
}2. Получите ответ на пакетный запрос
После получения request_id из первоначального POST-запроса можно опрашивать или получать результаты с помощью другого POST-запроса:
Получение ответа
curl "https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/run/@cf/baai/bge-m3?queueRequest=true" \
--header "Authorization: Bearer $API_TOKEN" \
--header 'Content-Type: application/json' \
--json '{
"request_id": "<uuid>"
}'{
"result": {
"responses": [
{
"id": 0,
"result": {
"response": [
{ "id": 0, "score": 0.73974609375 },
{ "id": 1, "score": 0.642578125 },
{ "id": 2, "score": 0.6220703125 }
]
},
"success": true,
"external_reference": "reference-1"
}
],
"usage": { "prompt_tokens": 12, "completion_tokens": 0, "total_tokens": 12 }
},
"success": true,
"errors": [],
"messages": []
}